org.apache.cassandra.tools.nodetool.formatter

## Class TableBuilder

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.formatter.TableBuilder

    public class TableBuilder
    extends java.lang.Object

Build and print table. usage:

     TableBuilder table = new TableBuilder();
     for (String[] row : data)
     {
         table.add(row);
     }
     table.print(System.out);

### Constructor Summary

Constructors
Constructor and Description
`TableBuilder()`
`TableBuilder(char columnDelimiter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(java.lang.String... row)`
`void` `printTo(java.io.PrintStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableBuilder

    public TableBuilder()

#### TableBuilder

    public TableBuilder(char columnDelimiter)

### Method Detail

#### add

    public void add(@Nonnull
                    java.lang.String... row)

#### printTo

    public void printTo(java.io.PrintStream out)